From 803829729f9d1932da971edd80e3a2af303537a3 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jun 09 2015 02:20:46 +0000
Subject: [PATCH 109/1001] Shuffle debug statements.


---

diff --git a/fedmsg.d/base.py b/fedmsg.d/base.py
new file mode 100644
index 0000000..95612f9
--- /dev/null
+++ b/fedmsg.d/base.py
@@ -0,0 +1,70 @@
+# This file is part of fedmsg.
+# Copyright (C) 2012 Red Hat, Inc.
+#
+# fedmsg is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+#
+# fedmsg is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with fedmsg; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+#
+# Authors:  Ralph Bean <rbean@redhat.com>
+
+import os
+
+config = dict(
+    # Set this to dev if you're hacking on fedmsg or an app.
+    # Set to stg or prod if running in the Fedora Infrastructure
+    environment="dev",
+
+    # Default is 0
+    high_water_mark=0,
+    io_threads=1,
+
+    ## For the fedmsg-hub and fedmsg-relay. ##
+
+    # This is a status dir to keep a record of the last processed message
+    #status_directory=os.getcwd() + "/status",
+    #status_directory='/var/run/fedmsg/status',
+
+    # This is the URL of a datagrepper instance that we can query for backlog.
+    #datagrepper_url="https://apps.fedoraproject.org/datagrepper/raw",
+
+    # We almost always want the fedmsg-hub to be sending messages with zmq as
+    # opposed to amqp or stomp.
+    zmq_enabled=True,
+
+    # When subscribing to messages, we want to allow splats ('*') so we tell
+    # the hub to not be strict when comparing messages topics to subscription
+    # topics.
+    zmq_strict=False,
+
+    # Number of seconds to sleep after initializing waiting for sockets to sync
+    post_init_sleep=0.5,
+
+    # Wait a whole second to kill all the last io threads for messages to
+    # exit our outgoing queue (if we have any).  This is in milliseconds.
+    zmq_linger=1000,
+
+    # See the following
+    #   - http://tldp.org/HOWTO/TCP-Keepalive-HOWTO/overview.html
+    #   - http://api.zeromq.org/3-2:zmq-setsockopt
+    zmq_tcp_keepalive=1,
+    zmq_tcp_keepalive_cnt=3,
+    zmq_tcp_keepalive_idle=60,
+    zmq_tcp_keepalive_intvl=5,
+
+    # Number of miliseconds that zeromq will wait to reconnect until it gets 
+    # a connection if an endpoint is unavailable.
+    zmq_reconnect_ivl=100,
+    # Max delay that you can reconfigure to reduce reconnect storm spam. This
+    # is in miliseconds.
+    zmq_reconnect_ivl_max=1000,
+)
diff --git a/fedmsg.d/logging.py b/fedmsg.d/logging.py
new file mode 100644
index 0000000..c31901c
--- /dev/null
+++ b/fedmsg.d/logging.py
@@ -0,0 +1,40 @@
+# Setup fedmsg logging.
+# See the following for constraints on this format https://bit.ly/Xn1WDn
+bare_format = "[%(asctime)s][%(name)10s %(levelname)7s] %(message)s"
+
+config = dict(
+    logging=dict(
+        version=1,
+        formatters=dict(
+            bare={
+                "datefmt": "%Y-%m-%d %H:%M:%S",
+                "format": bare_format
+            },
+        ),
+        handlers=dict(
+            console={
+                "class": "logging.StreamHandler",
+                "formatter": "bare",
+                "level": "DEBUG",
+                "stream": "ext://sys.stdout",
+            },
+        ),
+        loggers=dict(
+            fedmsg={
+                "level": "INFO",
+                "propagate": False,
+                "handlers": ["console"],
+            },
+            moksha={
+                "level": "INFO",
+                "propagate": False,
+                "handlers": ["console"],
+            },
+            hubs={
+                "level": "DEBUG",
+                "propagate": False,
+                "handlers": ["console"],
+            },
+        ),
+    ),
+)
diff --git a/fedmsg.d/testconfig.py b/fedmsg.d/testconfig.py
index 6bfeb35..464b326 100644
--- a/fedmsg.d/testconfig.py
+++ b/fedmsg.d/testconfig.py
@@ -5,17 +5,8 @@ config = {
     'hubs.sqlalchemy.uri': 'sqlite:////var/tmp/hubs.db',
 
     'endpoints': {
-        # TODO -- fill these out later...
+        "fedora-infrastructure": [
+            "tcp://hub.fedoraproject.org:9940",
+        ]
     },
-
-    'logging': dict(
-        version=1,
-        loggers=dict(
-            hubs={
-                "level": "DEBUG",
-                "propagate": False,
-                "handlers": ["console"],
-            },
-        ),
-    ),
 }
diff --git a/hubs/consumer.py b/hubs/consumer.py
index a0c3f24..37faff3 100644
--- a/hubs/consumer.py
+++ b/hubs/consumer.py
@@ -19,7 +19,7 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
     config_key = 'hubs.consumer.enabled'
 
     def __init__(self, *args, **kwargs):
-        log.info("CacheInvalidatorExtraordinaire initializing")
+        log.debug("CacheInvalidatorExtraordinaire initializing")
         super(CacheInvalidatorExtraordinaire, self).__init__(*args, **kwargs)
 
         self.uri = self.hub.config.get('hubs.sqlalchemy.uri', None)
@@ -34,8 +34,7 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
             self.rebuild_hubs_hint_lookups(session)
         session.commit()  # transaction is committed here
         session.close()
-
-        log.info("CacheInvalidatorExtraordinaire initialized")
+        log.debug("CacheInvalidatorExtraordinaire initialized")
 
     def make_session(self):
         return hubs.models.init(self.uri)
@@ -91,7 +90,7 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
                 return
 
         start = time.time()
-        log.info("CacheInvalidatorExtraordinaire received %s %s",
+        log.debug("CacheInvalidatorExtraordinaire received %s %s",
                   msg['msg_id'], msg['topic'])
 
         if category == 'hubs' or not self.lookup_initialized:
@@ -108,7 +107,12 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
         checks = set(
             self.checks_by_topic[topic] + self.checks_by_category[category]
         )
-        log.info("Found %i checks to try for this message" % len(checks))
+
+        statement = "Found %i checks to try for this message" % len(checks)
+        if checks:
+            log.info(statement)
+        else:
+            log.debug(statement)
 
         # Then, with that hopefully smaller list of checks, try them all and
         # see if any tell us that we should nuke various data caches.
@@ -121,7 +125,7 @@ class CacheInvalidatorExtraordinaire(fedmsg.consumers.FedmsgConsumer):
                 widget.module.data(session, widget, **widget.config)
                 # TODO -- fire off an EventSource notice that we updated stuff
 
-        log.info("Done.  %0.2fs %s %s",
+        log.debug("Done.  %0.2fs %s %s",
                   time.time() - start, msg['msg_id'], msg['topic'])
 
     def stop(self):

